Productsup
CDE APIApi referenceApplication

Update Secret registrations of connector version

These secrets are going to be used to access protected api's during your connector's execution. *Note*: This will move the connector version to updating/updated state

Sign in to run requests against the CDE API.
PUT
/connectors/{publicId}/versions/{connectorVersion}/secret-registrations

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/secret-registrations" \  -H "Content-Type: application/json" \  -d '{    "secret-registrations": [      "amazon/seller",      "google/io/shopping"    ]  }'
{
  "message": "Secret registrations successfully updated."
}
{
  "message": "Bad request.",
  "errors": {
    "secret-registrations": "This value does not have valid array."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Connector not found."
}

How is this guide?